Subject: bug#40573: 27.0.90; flymake-mode broken in scratch buffer

From: Juri Linkov <[email-masked]>
Date: Mon, 13 Apr 2020 02:58:07 +0300

> The only intention I have is to revert the commit you added,
> add an emacs-lisp-data-mode according to Stefan's and Dmitry's
> suggestion, and use that mode for .dir-local.el. I'd also appreciate
> such a mode for other lispy data files I have. Anyway, last time
> I checked, you opposed this (very?) strongly so unless that stance 
> has changed, there's not much for me to work on.

Please add emacs-lisp-data-mode.  I have data buffers in emacs-lisp mode
permanently visited all the time, and in the Buffer List the modes
of these buffers "ELisp/d" are highlighted with the warning face.

It's fine to encourage the users to convert emacs-lisp files
from dynamic (the suffix "/d" in mode name highlighted as a warning)
to lexical (the suffix "/l" unhighlighted).

But the problem is that these files are emacs-lisp data files,
they can't be converted to lexical-binding, they need a special data mode.